Package org.bukkit.inventory.meta

# Interface FireworkEffectMeta

All Superinterfaces:
  `Cloneable`, `ConfigurationSerializable`, `ItemMeta`, `PersistentDataHolder`

public interface FireworkEffectMeta extends ItemMeta
Represents a meta that can store a single FireworkEffect. An example includes `Material.FIREWORK_STAR`.

## Method Summary

Modifier and Type
Method
Description
`@NotNull FireworkEffectMeta`
`clone()`
`@Nullable FireworkEffect`
`getEffect()`
Gets the firework effect for this meta.
`boolean`
`hasEffect()`
Checks if this meta has an effect.
`void`
`setEffect(@Nullable FireworkEffect effect)`
Sets the firework effect for this meta.

### Methods inherited from interface org.bukkit.configuration.serialization.ConfigurationSerializable

`serialize`

### Methods inherited from interface org.bukkit.inventory.meta.ItemMeta

`addAttributeModifier, addEnchant, addItemFlags, displayName, displayName, getAsString, getAttributeModifiers, getAttributeModifiers, getAttributeModifiers, getCanDestroy, getCanPlaceOn, getCustomModelData, getCustomTagContainer, getDestroyableKeys, getDisplayName, getDisplayNameComponent, getEnchantLevel, getEnchants, getItemFlags, getLocalizedName, getLore, getLoreComponents, getPlaceableKeys, hasAttributeModifiers, hasConflictingEnchant, hasCustomModelData, hasDestroyableKeys, hasDisplayName, hasEnchant, hasEnchants, hasItemFlag, hasLocalizedName, hasLore, hasPlaceableKeys, isUnbreakable, lore, lore, removeAttributeModifier, removeAttributeModifier, removeAttributeModifier, removeEnchant, removeItemFlags, setAttributeModifiers, setCanDestroy, setCanPlaceOn, setCustomModelData, setDestroyableKeys, setDisplayName, setDisplayNameComponent, setLocalizedName, setLore, setLoreComponents, setPlaceableKeys, setUnbreakable, setVersion`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

## Method Details

### setEffect

void setEffect(@Nullable @Nullable FireworkEffect effect)
Sets the firework effect for this meta.

Parameters:
  `effect` - the effect to set, or null to indicate none.

### hasEffect

boolean hasEffect()
Checks if this meta has an effect.

Returns:
  true if this meta has an effect, false otherwise

### getEffect

@Nullable @Nullable FireworkEffect getEffect()
Gets the firework effect for this meta.

Returns:
  the current effect, or null if none

### clone

@NotNull @NotNull FireworkEffectMeta clone()

Specified by:
  `clone` in interface `ItemMeta`